> ## Documentation Index
> Fetch the complete documentation index at: https://edenai-feat-automate-documentation-tests.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Token



## OpenAPI

````yaml https://api.edenai.run/v2/info/splitted-schema/user/openapi.json get /user/custom_token/{name}/
openapi: 3.0.3
info:
  title: User Management
  version: '2.0'
  description: Your project description
servers:
  - url: https://api.edenai.run/v2
security: []
paths:
  /user/custom_token/{name}/:
    get:
      tags:
        - User Management
      summary: Retrieve Token
      operationId: user_root_retrieve
      parameters:
        - in: path
          name: name
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomTokensList'
          description: ''
components:
  schemas:
    CustomTokensList:
      type: object
      properties:
        name:
          type: string
          description: The token name
          maxLength: 200
        label:
          type: string
          readOnly: true
        masked:
          type: string
          description: >-
            Non-secret display value, e.g. ``sk-eden-live…c5d6``. Owns the

            legacy-JWT vs hash-row duality so every surface (API, admin, shell)
            masks

            the same way. Falls back to the last 4 of a legacy row's stored
            token.
          readOnly: true
        key_prefix:
          type: string
          nullable: true
          maxLength: 32
        last4:
          type: string
          nullable: true
          maxLength: 4
        revoked:
          type: boolean
          readOnly: true
        token_type:
          $ref: '#/components/schemas/TokenTypeEnum'
        balance:
          type: number
          format: double
          maximum: 100000
          minimum: -100000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: >-
            Optional remaining credits balance for this Token, if
            `active_balance` is set to True and the balance reaches 0, this
            token will become unusable
        active_balance:
          type: boolean
          description: Weither to use the balance field or not.
        expire_time:
          type: string
          format: date-time
          nullable: true
        balance_reset_amount:
          type: number
          format: double
          maximum: 100000
          minimum: -100000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: >-
            The amount this token's balance is reset to at the start of each
            balance_reset_period. Null when balance_reset_period is 'none'.
        balance_reset_period:
          allOf:
            - $ref: '#/components/schemas/BalanceResetPeriodEnum'
          description: >-
            How often this token's balance is reinitialized to
            balance_reset_amount. 'none' = one-time balance (default, current
            behaviour).


            * `none` - None

            * `daily` - Daily

            * `weekly` - Weekly

            * `monthly` - Monthly
        legacy:
          type: boolean
          readOnly: true
        synthesized:
          type: boolean
          readOnly: true
      required:
        - label
        - legacy
        - masked
        - name
        - revoked
        - synthesized
    TokenTypeEnum:
      enum:
        - sandbox_api_token
        - api_token
      type: string
      description: |-
        * `sandbox_api_token` - Sandbox
        * `api_token` - Back
    BalanceResetPeriodEnum:
      enum:
        - none
        - daily
        - weekly
        - monthly
      type: string
      description: |-
        * `none` - None
        * `daily` - Daily
        * `weekly` - Weekly
        * `monthly` - Monthly

````